# Beschreibung einer Person aus dem Quellsystem
# TODO: fuer mehrere Quellen anwendbar? (siehe ldapServer.id)
# subjectApi.source.sourcePersonPool.param.ldapServerId.value=openldap1

 
subjectApi.source.edunrwperson.adapterClass = edu.internet2.middleware.grouper.subj.GrouperLdapSourceAdapter2_5
subjectApi.source.edunrwperson.attribute.0.exportHeader = userID
subjectApi.source.edunrwperson.attribute.0.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.0.internal = false
subjectApi.source.edunrwperson.attribute.0.name = uid
subjectApi.source.edunrwperson.attribute.0.subjectIdentifier = true
subjectApi.source.edunrwperson.attribute.0.translationType = sourceAttributeSameAsSubjectAttribute
subjectApi.source.edunrwperson.attribute.1.exportHeader = commonName
subjectApi.source.edunrwperson.attribute.1.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.1.internal = false
subjectApi.source.edunrwperson.attribute.1.name = cn
subjectApi.source.edunrwperson.attribute.1.subjectIdentifier = false
subjectApi.source.edunrwperson.attribute.1.translationType = sourceAttributeSameAsSubjectAttribute
subjectApi.source.edunrwperson.attribute.2.exportHeader = surname
subjectApi.source.edunrwperson.attribute.2.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.2.internal = false
subjectApi.source.edunrwperson.attribute.2.name = sn
subjectApi.source.edunrwperson.attribute.2.subjectIdentifier = false
subjectApi.source.edunrwperson.attribute.2.translationType = sourceAttributeSameAsSubjectAttribute
subjectApi.source.edunrwperson.attribute.3.exportHeader = mailAddress
subjectApi.source.edunrwperson.attribute.3.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.3.internal = false
subjectApi.source.edunrwperson.attribute.3.name = mail
subjectApi.source.edunrwperson.attribute.3.subjectIdentifier = false
subjectApi.source.edunrwperson.attribute.3.translationType = sourceAttributeSameAsSubjectAttribute
subjectApi.source.edunrwperson.attribute.4.exportHeader = eduPersonAffiliation
subjectApi.source.edunrwperson.attribute.4.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.4.internal = false
subjectApi.source.edunrwperson.attribute.4.name = eduPersonAffiliation
subjectApi.source.edunrwperson.attribute.4.subjectIdentifier = false
subjectApi.source.edunrwperson.attribute.4.translationType = sourceAttributeSameAsSubjectAttribute
subjectApi.source.edunrwperson.attribute.5.exportHeader = eduPersonPrincipalName
subjectApi.source.edunrwperson.attribute.5.formatToLowerCase = false
subjectApi.source.edunrwperson.attribute.5.internal = false
subjectApi.source.edunrwperson.attribute.5.name = EPPN
subjectApi.source.edunrwperson.attribute.5.translation = ${source_attribute__uid + '@openldap1'}
subjectApi.source.edunrwperson.attribute.5.translationType = translation
subjectApi.source.edunrwperson.enabled = true
subjectApi.source.edunrwperson.id = edunrwperson
subjectApi.source.edunrwperson.name = person in context of idm.nrw
subjectApi.source.edunrwperson.numberOfAttributes = 6
subjectApi.source.edunrwperson.param.Description_AttributeType.value = eduPersonAffiliation
subjectApi.source.edunrwperson.param.Multiple_Results.value = false
subjectApi.source.edunrwperson.param.Name_AttributeType.value = cn
subjectApi.source.edunrwperson.param.SubjectID_AttributeType.value = uid
subjectApi.source.edunrwperson.param.emailAttributeName.value = mail
subjectApi.source.edunrwperson.param.errorOnMaxResults.value = true
subjectApi.source.edunrwperson.param.ldapServerId.value = openldap1
subjectApi.source.edunrwperson.param.netId.value = EPPN
subjectApi.source.edunrwperson.param.subjectIdentifierAttribute0.value = EPPN
subjectApi.source.edunrwperson.param.throwErrorOnFindAllFailure.value = true
subjectApi.source.edunrwperson.search.search.param.filter.value = (&(|(uid=%TERM%)(cn=*%TERM%*))(objectclass=person))
subjectApi.source.edunrwperson.search.searchSubject.param.base.value = ou=People
subjectApi.source.edunrwperson.search.searchSubject.param.filter.value = (&(uid=%TERM%)(objectclass=person))
subjectApi.source.edunrwperson.search.searchSubject.param.scope.value = SUBTREE_SCOPE
subjectApi.source.edunrwperson.searchAttribute.0.attributeName = EPPN
subjectApi.source.edunrwperson.searchAttributeCount = 1
subjectApi.source.edunrwperson.sortAttribute.0.attributeName = EPPN
subjectApi.source.edunrwperson.sortAttributeCount = 1
subjectApi.source.edunrwperson.types = person
